Bug 465822 - setup-ds-admin.pl -u locks console out when using SSL
setup-ds-admin.pl -u locks console out when using SSL
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.1.2
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2008-10-06 11:33 EDT by jad
Modified: 2015-01-04 18:34 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jad 2008-10-06 11:33:10 EDT
Description of problem:
During testing for upgrade to 1.1.3 I found that after running setup-ds-admin.pl -u I am locked out of the console when using SSL

Version-Release number of selected component (if applicable):
1.1.2

How reproducible:
everytime

Steps to Reproduce:
1. run setup-ds-admin.pl -u
2. attempt to connect with console
3.
  
Actual results:
connect fails

Expected results:
connection works

Additional info:

Can fix like this
ldapmodify
dn: cn=Server Group, cn=server1.example.com, ou=example.com, o=NetscapeRoot
changetype: modify
add: nsDirectoryURL nsBindDN nsBindPassword
nsDirectoryURL: ldaps://server1.example.com:636/dc=example,dc=com
nsBindDN: uid=admin,ou=administrators,ou=topologymanagement,o=netscaperoot
nsBindPassword: theadminpassword

dn: cn=slapd-server1, cn=Fedora Directory Server, cn=Server Group, cn=server1.example.com, ou=example.com, o=NetscapeRoot
changetype: modify
replace: nsServerSecurity
nsServerSecurity: on

dn: cn=configuration, cn=admin-serv-server1, cn=Fedora Administration Server, cn=
 Server Group, cn=server1.example.com, ou=example.com, o=NetscapeRoot
changetype: modify
add: nsServerSecurity
nsServerSecurity on
Comment 1 Rich Megginson 2009-04-09 10:34:48 EDT
This should work now - we changed the way -u works so that it should preserve existing information (including security settings).
Comment 2 Jenny Galipeau 2009-04-15 11:08:15 EDT
fix verfied DS 8.0.4 ---> DS 8.1 RHEL 4
ssl secured admin server
upgrade
console access via SSL after upgrade successful.
Comment 3 Chandrasekar Kannan 2009-04-29 19:06:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.